## whitedune 0.30.10

=== Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

dune:
	cd src && $(MAKE) $$DUNEMAKEFLAGS

configure: configure.in
	autoconf

clean:
	rm -f config.cache config.log config.status configure.lineno confdefs.h 
	rm -rf autom4te.cache ii_files
	rm -f test/dune_selftest
	cd src && $(MAKE) clean
	cd docs/export_example_c && $(MAKE) clean
	cd docs/export_example_c++ && $(MAKE) clean
	cd docs/export_example_java && $(MAKE) clean
	rm -f desktop/macosx/Droplet-Applet/build/Droplet-Applet.build/Droplet-Applet.build/Objects-normal/ppc/main.o
	find . -name nohup.out -type f -print | xargs rm -f
	find . -name snap.rgb -type f -print | xargs rm -f
	find . -name core -type f -print | xargs rm -f
	find . -name 'core.[0-9]*' -type f -print | xargs rm -f
	find . -name dune.core -type f -print | xargs rm -f
	find . -name 'vgcore.[0-9]*' -type f -print | xargs rm -f
	find . -name '.afpDeleted*' -type f -print | xargs rm -f
	find . -name '._*' -print | xargs rm -f
	rm -rf conf[0-9]* NONE

realclean: clean
	rm -rf desktop/macosx/white_dune.app
	rm -f bin/dune bin/efencedune bin/dumadune
	rm -f bin/dune.exe bin/efencedune.exe bin/dumadune.exe
	rm -f confdefs.h
	cd src && $(MAKE) realclean
	cd docs/developer_docs && make realclean 
	cd test && $(MAKE) realclean
	find . -name 'Makefile.bak' -print | xargs rm -f
	find . -name '.dune_preview_*.wrl' -print | xargs rm -f
	find . -name '.dune_textedit_*' -print | xargs rm -f
	find . -name '.dune_ecmascript_*' -print | xargs rm -f
	find . -name '.dune_shaderprogram_*' -print | xargs rm -f
	find . -name '.dune_upload_*' -print | xargs rm -f
	find . -name '.gdb_history' -print | xargs rm -f
	find . -name '.xvpics' -print | xargs rm -rf
	find . -name 'Untitled*.wrl' -print | xargs rm -rf
	find . -name 'Untitled*.wrl,v' -print | xargs rm -rf
	find . -name 'PureVrmlExport*.wrl' -print | xargs rm -rf
	find . -name 'PureVrmlExport*.wrl,v' -print | xargs rm -rf
	find . -name 'Ac3dExport*.ac' -print | xargs rm -rf
	find . -name 'C++Export*.cc' -print | xargs rm -rf
	find . -name 'LdrawExport*.dat' -print | xargs rm -rf
	find . -name 'KanimExport*.wrl' -print | xargs rm -rf
	find . -name 'KanimExport*.wrl,v' -print | xargs rm -rf
	find . -name 'KanimExport*.kanim' -print | xargs rm -rf
	find . -name 'Untitled*.x3dv' -print | xargs rm -rf
	find . -name 'Untitled*.x3dv,v' -print | xargs rm -rf
	find . -name 'Untitled*.x3d' -print | xargs rm -rf
	find . -name 'Untitled*.x3d,v' -print | xargs rm -rf
	find . -name 'gmon.out' -print | xargs rm -rf

tar.gz:
	sh batch/mktargz.sh

tar.bz2:
	sh batch/mktarbz2.sh

documentation:
	cd docs/developer_docs && $(MAKE)

selftest:
	cd test && $(MAKE) $$DUNEMAKEFLAGS

fastselftest:
	cd test && $(MAKE) $$DUNEMAKEFLAGS fasttests

# DO NOT DELETE

=== src/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = gcc
CXX = g++
RANLIB = /usr/bin/ranlib 
CXXCPP = g++ -E
YACC = bison -y
LEX = flex --nounistd
AWK = gawk

RESOURCE_FILES = dune.english.rc dune.german.rc dune.italian.rc

LIBEFENCE_A = /usr/lib/libefence.a
EFENCE_EXTRA_LIBS = -lpthread

LIBDUMA_A = /usr/lib/libduma.a
DUMA_EXTRA_LIBS = -lpthread

LD_OPTIONS = 

EGREP_PROBLEMS = no

# gcc Warning flags
# WARNINGS = -Wall -Wwrite-strings

# IRIX cc flags
# WARNINGS = -woff 3303
# LFLAGS = -woff 1167 -woff 1110 -woff 3322

# use -DYYDEBUG=1 for yacc/bison debugging 
#(also change int yydebug = 1; in parser.cpp)

CPPFLAGS= -I. -Iswt/include   -I/usr/X11R6/include/ -I/usr/X11R6/LessTif/Motif1.2/include -I/usr/local/include
COMMON_FLAGS = $(WARNINGS) -I. -Iswt/include   -I/usr/X11R6/include/ -I/usr/X11R6/LessTif/Motif1.2/include -I/usr/local/include 
CFLAGS_BIG = -g $(COMMON_FLAGS)  
CFLAGS = -g $(COMMON_FLAGS) 
CXXFLAGS = $(CFLAGS) 
LIBS =   -L/usr/local/lib -g -Lswt/lib -lswt -LSDLjoystick SDLjoystick/libSDLjoystick.a -lusb -lsball -lpng -ljpeg -lz -lexpat -lGLU -lGL -lXi -lXm -lXp -lXext -lXt -lXmu -lX11 -lm -ldl   -L/usr/local/lib  -L/usr/X11R6/LessTif/Motif1.2/lib 
NEBULA = 
PARSER_CPP_CFLAG = 

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

NODECLASSES = \
        NodeAnchor.o \
	NodeAppearance.o \
	NodeAudioClip.o \
	NodeArc2D.o \
	NodeArcClose2D.o \
	NodeBackground.o \
	NodeBallJoint.o \
	NodeBillboard.o \
	NodeBooleanFilter.o \
	NodeBooleanSequencer.o \
	NodeBooleanToggle.o \
	NodeBooleanTrigger.o \
        NodeBoundedPhysicsModel.o \
	NodeBox.o \
        NodeCADAssembly.o \
        NodeCADFace.o \
        NodeCADLayer.o \
        NodeCADPart.o \
	NodeCircle2D.o \
	NodeClipPlane.o \
        NodeCollidableShape.o \
        NodeCollidableOffset.o \
	NodeCollision.o \
        NodeCollisionCollection.o \
        NodeCollisionSensor.o \
        NodeCollisionSpace.o \
	NodeColor.o \
        NodeColorDamper.o \
	NodeColorRGBA.o \
	NodeColorInterpolator.o \
        NodeComposedShader.o \
        NodeComposedTexture3D.o \
	NodeCone.o \
        NodeConeEmitter.o \
	NodeContact.o \
	NodeContour2D.o \
	NodeContourPolyline2D.o \
	NodeCoordinate.o \
        NodeCoordinateDamper.o \
	NodeCoordinateDeformer.o \
	NodeCoordinateDouble.o \
	NodeCoordinateInterpolator.o \
	NodeCoordinateInterpolator2D.o \
	NodeCylinder.o \
	NodeCylinderSensor.o \
        NodeComposedCubeMapTexture.o \
        NodeDISEntityManager.o \
        NodeDISEntityTypeMapping.o \
	NodeDirectionalLight.o \
	NodeDisk2D.o \
        NodeDoubleAxisHingeJoint.o \
        NodeEaseInEaseOut.o \
	NodeElevationGrid.o \
        NodeEspduTransform.o \
        NodeExplosionEmitter.o \
	NodeExtrusion.o \
        NodeFillProperties.o \
        NodeFloatVertexAttribute.o \
	NodeFog.o \
        NodeFogCoordinate.o \
	NodeFontStyle.o \
        NodeForcePhysicsModel.o \
	NodeGeoCoordinate.o \
	NodeGeoElevationGrid.o \
        NodeGeoMetadata.o \
        NodeGeoLocation.o \
        NodeGeoLOD.o \
        NodeGeoPositionInterpolator.o \
        NodeGeoProximitySensor.o \
        NodeGeoOrigin.o \
        NodeGeoTouchSensor.o \
        NodeGeoTransform.o \
        NodeGeoViewpoint.o \
        NodeGeneratedCubeMapTexture.o \
        NodeGravityPhysicsModel.o \
	NodeGroup.o \
        NodeHAnimDisplacer.o \
        NodeHAnimHumanoid.o \
        NodeHAnimJoint.o \
        NodeHAnimSegment.o \
        NodeHAnimSite.o \
        NodeImageCubeMapTexture.o \
	NodeImageTexture.o \
        NodeImageTexture3D.o \
	NodeIndexedFaceSet.o \
	NodeIndexedLineSet.o \
        NodeIndexedQuadSet.o \
	NodeIndexedTriangleFanSet.o \
	NodeIndexedTriangleSet.o \
	NodeIndexedTriangleStripSet.o \
	NodeInline.o \
        NodeInlineLoadControl.o \
	NodeIntegerSequencer.o \
	NodeIntegerTrigger.o \
        NodeKeySensor.o \
        NodeLayer.o \
        NodeLayerSet.o \
        NodeLayout.o \
        NodeLayoutGroup.o \
        NodeLayoutLayer.o \
        NodeLinePickSensor.o \
        NodeLineProperties.o \
        NodeLineSet.o \
        NodeLoadSensor.o \
        NodeLocalFog.o \
	NodeLOD.o \
	NodeMaterial.o \
        NodeMatrix3VertexAttribute.o \
        NodeMatrix4VertexAttribute.o \
	NodeMetadataDouble.o \
	NodeMetadataFloat.o \
	NodeMetadataInteger.o \
	NodeMetadataSet.o \
	NodeMetadataString.o \
        NodeMotorJoint.o \
	NodeMovieTexture.o \
	NodeMultiTexture.o \
	NodeMultiTextureCoordinate.o \
	NodeMultiTextureTransform.o \
	NodeNavigationInfo.o \
	NodeNormal.o \
	NodeNormalInterpolator.o \
	NodeNurbsCurve.o \
	NodeNurbsCurve2D.o \
	NodeNurbsGroup.o \
	NodeNurbsOrientationInterpolator.o \
	NodeNurbsPositionInterpolator.o \
	NodeNurbsSet.o \
	NodeNurbsSurface.o \
	NodeNurbsSurfaceInterpolator.o \
        NodeNurbsSweptSurface.o \
        NodeNurbsSwungSurface.o \
        NodeNurbsTextureCoordinate.o \
	NodeNurbsTextureSurface.o \
        NodeNurbsTrimmedSurface.o \
        NodeOrientationChaser.o \
        NodeOrientationDamper.o \
	NodeOrientationInterpolator.o \
        NodeOrthoViewpoint.o \
        NodePackagedShader.o \
        NodeParticleSystem.o \
        NodePickableGroup.o \
	NodePixelTexture.o \
        NodePixelTexture3D.o \
	NodePlaneSensor.o \
        NodePointEmitter.o \
	NodePointLight.o \
        NodePointPickSensor.o \
	NodePointSet.o \
	NodePolyline2D.o \
        NodePolylineEmitter.o \
	NodePolypoint2D.o \
        NodePositionChaser.o \
        NodePositionChaser2D.o \
        NodePositionDamper.o \
        NodePositionDamper2D.o \
	NodePositionInterpolator.o \
	NodePositionInterpolator2D.o \
        NodePrimitivePickSensor.o \
        NodeProgramShader.o \
	NodeProximitySensor.o \
        NodeQuadSet.o \
        NodeReceiverPdu.o \
	NodeRectangle2D.o \
        NodeRigidBody.o \
        NodeRigidBodyCollection.o \
        NodeScalarChaser.o \
	NodeScalarInterpolator.o \
        NodeScreenFontStyle.o \
        NodeScreenGroup.o \
	NodeScript.o \
        NodeShaderPart.o \
        NodeShaderProgram.o \
	NodeShape.o \
        NodeSignalPdu.o \
        NodeSingleAxisHingeJoint.o \
        NodeSliderJoint.o \
	NodeSound.o \
	NodeSphere.o \
	NodeSphereSensor.o \
        NodeSplinePositionInterpolator.o \
        NodeSplinePositionInterpolator2D.o \
        NodeSplineScalarInterpolator.o \
	NodeSpotLight.o \
        NodeSquadOrientationInterpolator.o \
	NodeStaticGroup.o \
	NodeStringSensor.o \
        NodeSurfaceEmitter.o \
	NodeSwitch.o \
        NodeTexCoordDamper2D.o \
        NodeTexCoordDamper.o \
	NodeText.o \
	NodeTextureBackground.o \
	NodeTextureCoordinate.o \
        NodeTextureCoordinate3D.o \
        NodeTextureCoordinate4D.o \
	NodeTextureCoordinateGenerator.o \
	NodeTextureProperties.o \
	NodeTextureTransform.o \
        NodeTextureTransform3D.o \
        NodeTextureTransformMatrix3D.o \
	NodeTimeSensor.o \
        NodeTimeTrigger.o \
	NodeTouchSensor.o \
	NodeTransform.o \
        NodeTransformSensor.o \
        NodeTransmitterPdu.o \
        NodeTriangleFanSet.o \
        NodeTriangleSet.o \
        NodeTriangleSet2D.o \
        NodeTriangleStripSet.o \
        NodeTrimmedSurface.o \
        NodeTwoSidedMaterial.o \
        NodeUniversalJoint.o \
	NodeViewpoint.o \
        NodeViewpointGroup.o \
        NodeViewport.o \
	NodeVisibilitySensor.o \
        NodeVolumeEmitter.o \
        NodeVolumePickSensor.o \
        NodeWindPhysicsModel.o \
	NodeWorldInfo.o 

EXTRACLASSES = \
        NodeSuperEllipsoid.o \
        NodeSuperShape.o \
        NodeSuperRevolver.o \
        NodeSuperExtrusion.o \
	NodeVrmlCut.o \
	NodeVrmlScene.o \
        NodeOdeMotorJoint.o \
        NodeOdeSingleAxisHingeJoint.o \
        NodeOdeSliderJoint.o \
	NodeCOVER.o \
	NodeSpaceSensor.o \
	NodeCubeTexture.o \
	NodeWave.o \
        NodeJoystickSensor.o \
        NodeLabView.o \
        NodeSteeringWheel.o \
        NodeVehicle.o \
        NodeARSensor.o \
        NodeSky.o \
        NodeTUIButton.o \
        NodeTUIComboBox.o \
        NodeTUIFloatSlider.o \
        NodeTUIFrame.o \
        NodeTUILabel.o \
        NodeTUIListBox.o \
        NodeTUIMap.o \
        NodeTUIProgressBar.o \
        NodeTUISlider.o \
        NodeTUISplitter.o \
        NodeTUITab.o \
        NodeTUITabFolder.o \
        NodeTUIToggleButton.o \
        NodeVirtualAcoustics.o \
        NodeVirtualSoundSource.o \
        NodeBlendMode.o \
        NodeGeneratedShadowMap.o \
        NodeMatrixTransform.o \
        NodeMultiGeneratedTextureCoordinate.o \
	NodeKambiAppearance.o \
	NodeKambiHeadLight.o \
        NodeKambiInline.o \
        NodeKambiNavigationInfo.o \
        NodeKambiOctreeProperties.o \
	NodeKambiTriangulation.o \
	NodeProjectedTextureCoordinate.o \
        NodeRenderedTexture.o \
        NodeTeapot.o \
	NodeText3D.o \
        NodeCattExportRec.o \
        NodeCattExportSrc.o \
        NodeLdrawDatExport.o \
        NodeComment.o \
        NodeImport.o \
        NodeExport.o

NODEPARENTCLASSES = \
        BasicTransformNode.o \
        TransformNode.o \
        DynamicFieldsNode.o \
        GeoNode.o \
        GroupNode.o \
        MeshBasedNode.o \
        MeshMorphingNode.o \
        ChainBasedNode.o \
        EmitterNode.o \
        GeometryNode.o \
        IndexedTriangleSetNode.o \
        X3DNBodyCollidableNode.o \
        X3DNBodyCollisionSpaceNode.o \
        X3DRigidJointNode.o \
        AnchoredJointNode.o

TYPECLASSES = \
	SFBool.o \
        SFBoolItem.o \
	SFColor.o \
        SFColorItem.o \
	SFColorRGBA.o \
        SFColorRGBAItem.o \
	SFDouble.o \
        SFDoubleItem.o \
	SFFloat.o \
        SFFloatItem.o \
	SFImage.o \
        SFImageItem.o \
	SFInt32.o \
        SFInt32Item.o \
	SFMatrix3f.o \
        SFMatrix3fItem.o \
	SFMatrix4f.o \
        SFMatrix4fItem.o \
	SFNode.o \
        SFNodeItem.o \
	SFRotation.o \
        SFRotationItem.o \
	SFString.o \
        SFStringItem.o \
	SFTime.o \
        SFTimeItem.o \
	SFVec2f.o \
        SFVec2fItem.o \
	SFVec3f.o \
        SFVec3fItem.o \
	SFVec3d.o \
        SFVec3dItem.o \
	SFVec4f.o \
        SFVec4fItem.o \
	MFBool.o \
        MFBoolItem.o \
	MFColor.o \
        MFColorItem.o \
	MFColorRGBA.o \
        MFColorRGBAItem.o \
	MFDouble.o \
        MFDoubleItem.o \
	MFInt32.o \
        MFInt32Item.o \
	MFFloat.o \
        MFFloatItem.o \
	MFNode.o \
        MFNodeItem.o \
	MFRotation.o \
        MFRotationItem.o \
	MFString.o \
        MFStringItem.o \
	MFTime.o \
        MFTimeItem.o \
	MFVec2f.o \
        MFVec2fItem.o \
	MFVec3f.o \
        MFVec3fItem.o \
	MFVec3d.o \
        MFVec3dItem.o \
	MFVec4f.o \
        MFVec4fItem.o \
        MFMatrix3f.o \
        MFMatrix3fItem.o \
        MFMatrix4f.o \
        MFMatrix4fItem.o

DIALOGCLASSES = \
	Dialog.o \
	ElevationGridDialog.o \
        ScriptDialog.o \
	NurbsCurveDialog.o \
	NurbsPlaneDialog.o \
	PreferencesDialog.o \
        DefDialog.o \
        CoverDefDialog.o \
	Box2NurbsDialog.o \
	Cone2NurbsDialog.o \
	Cylinder2NurbsDialog.o \
	Sphere2NurbsDialog.o \
        NurbsCurve2NurbsSurfDialog.o \
        InteractionDialog.o \
        AnimationDialog.o \
        URLDialog.o \
        ArrayDialog.o \
        FieldPipeDialog.o \
        OneFloatDialog.o \
        OneIntDialog.o \
        OneTextDialog.o \
        TwoRadioButtonsDialog.o \
	EcmaScriptSettingsDialog.o \
	PreviewSettingsDialog.o \
	UploadSettingsDialog.o \
	HelpSettingsDialog.o \
	TexteditSettingsDialog.o \
	StereoViewSettingsDialog.o \
        OutputSettingsDialog.o \
        InputSettingsDialog.o \
        InputDeviceSettingsDialog.o \
        AflockSettingsDialog.o \
        RouteViewSettingsDialog.o \
        WonderlandModuleExportDialog.o \
        CattExportDialog.o

APPCLASSES = \
	DuneApp.o \
        PreferencesApp.o \
        EcmaScriptApp.o \
        StereoViewApp.o \
        InputDeviceApp.o \
        OutputApp.o \
        RouteViewApp.o \
        InputApp.o \
        StartWithApp.o \
        ExportNamesApp.o 

DUNECLASSES = \
	AboutDialog.o \
	CommandList.o \
	Element.o \
	EventIn.o \

=== test/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

JAVA=/usr/bin/java

tests: slowtests fasttests 

slowtests:
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS FilesMissingInWindowsProjects.o

fasttests:
	rm -rf ../src/NONE
	sh testtabs.sh
	sh testresourcenumbers.sh
	sh testmenus.sh
	../batch/testiconsize.sh /usr/bin/bmptopnm node_icons.bmp node_icons_bw.bmp
	../batch/testiconsize2.sh /usr/bin/bmptopnm node_icons.bmp node_icons2.bmp
	../batch/testiconsize.sh /usr/bin/bmptopnm standard_toolbar.bmp standard_toolbar_bw.bmp
	../batch/testiconsize2.sh /usr/bin/bmptopnm standard_toolbar.bmp standard_toolbar2.bmp
	../batch/testiconsize.sh /usr/bin/bmptopnm vcr.bmp vcr_bw.bmp
	../batch/testiconsize2.sh /usr/bin/bmptopnm vcr.bmp vcr2.bmp
	sh testprotos.sh > testprotos.cpp
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS testprotos
	./dune_testprotos
	rm -f ./dune_testprotos ./dune_testprotos.exe testprotos.cpp
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS selftest
	./dune_selftest > allNodesTest.cpp
	./dune_selftest -x3d > allNodesTestX3d.cpp
	rm -f ./dune_selftest dune_selftest.exe
	sh -c "cd ../src;ls Node*.h | \
             awk '{print \"#include \\\"\" \$$0 \"\\\"\"}' > ../test/AllNodes.h"
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS allNodesTest
	./dune_allNodesTest > allNodesTest.wrl
	rm -f dune_allNodesTest dune_allNodesTest.exe
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS allNodesTestX3d
	./dune_allNodesTestX3d > allNodesTestX3d.x3dv
	cp allNodesTestX3d.x3dv /tmp
	rm -f dune_allNodesTestX3d dune_allNodesTestX3d.exe
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS selftest
	./dune_selftest allNodesTestX3d.x3dv 2>/dev/null >/dev/null
	$(MAKE) clean
	cd ../src/swt && $(MAKE) $$DUNEMAKEFLAGS test
	cd ../src/swt && $(MAKE) $$DUNEMAKEFLAGS testclean
	cd .. && $(MAKE)
	cd ../docs/export_example_c && $(MAKE)
	../docs/export_example_c/helloWorld
	cd ../docs/export_example_c && $(MAKE) clean
	cd ../docs/export_example_c++ && $(MAKE)
	../docs/export_example_c++/helloWorld
	cd ../docs/export_example_c++ && $(MAKE) clean
	cd ../docs/export_example_java && $(MAKE)
	$(JAVA) -cp ../docs/export_example_java/classes helloWorld
	cd ../docs/export_example_java && $(MAKE) clean

realclean: clean
	rm -f /tmp/allNodesTestX3d.x3dv

clean:
	rm -f dune_selftest dune_selftest.exe \
              printFieldType printFieldType.exe \
              printNodeType printNodeType.exe\
	      *allNodesTest* ../src/allNodesTest* AllNodes.h \
	      dune_testprotos dune_testprotos.exe testprotos.cpp \
	      testzeroclass testzeroclass.exe testzeroclass.cpp

testzeroclass:
	sh testzeroclass.sh > testzeroclass.cpp
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS testzeroclass
	./testzeroclass

printFieldType:
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS ../test/printFieldType

printNodeType:
	cd ../src && $(MAKE) $$DUNEMAKEFLAGS ../test/printNodeType

=== desktop/cde/Makefile ===
# This file is free software; the Free Software Foundation    
# gives unlimited permission to copy, distribute and modify it.

all:
	mkdir -p $$HOME/.dt
	mkdir -p $$HOME/.dt/icons
	mkdir -p $$HOME/.dt/types
	cp icons/* $$HOME/.dt/icons
	cp types/white_dune.dt $$HOME/.dt/types/
	if test `uname` = SunOS ; then cp os/solaris/opt_White_Dune_bin_white_dune.dt $$HOME/.dt/types/white_dune.dt ; fi
	if test `uname` = AIX ; then cp os/aix/usr_local_bin_white_dune.dt $$HOME/.dt/types/white_dune.dt ; fi
	/usr/dt/bin/dtcreate $$HOME/.dt/types/white_dune.dt

=== desktop/fvwm2/Makefile ===
# This file is free software; the Free Software Foundation    
# gives unlimited permission to copy, distribute and modify it.

all:
	@echo copy mini-dune.xpm to /usr/X11R6/include/X11/pixmaps
	@echo
	@echo include something like
	@echo
	@echo '+ "Dune%mini-dune.xpm%"		Exec /usr/bin/dune &'
	@echo 
	@echo to a AddToMenu list of your .fvwm2rc or /usr/X11/lib/X11/fvwm2/system.fvwm2rc

=== desktop/twm/Makefile ===
# This file is free software; the Free Software Foundation    
# gives unlimited permission to copy, distribute and modify it.

all:
	@echo include something like
	@echo
	@echo '"dune"		f.exec "/usr/bin/dune &"'
	@echo 
	@echo to a menu list of your .twmrc or /usr/lib/X11/twm/system.twmrc

=== docs/developer_docs/Makefile ===
# This file is free software; the Free Software Foundation    
# gives unlimited permission to copy, distribute and modify it.

all: man2html doxygen

doxygen: 
	sh mkdoxygen.sh

man2html:
	sh man2html.sh dune.1 > ../usage_docs/dune_1.html
	sh man2html.sh illegal2vrml.1 > ../usage_docs/illegal2vrml_1.html

realclean:
	rm -rf doxygen_out_html

jpgdoc:
	rm -rf /tmp/white_dune_docs
	mkdir /tmp/white_dune_docs
	cp -r ../../docs /tmp/white_dune_docs
	sh ./png2jpg.sh developer_docs dune_developer.html
	sh ./png2jpg.sh usage_docs dune_de.html
	sh ./png2jpg.sh usage_docs dune_en.html
	sh ./png2jpg.sh usage_docs dune_ru.html
	sh ./png2jpg.sh usage_docs dune_de_exercise.html
	sh ./png2jpg.sh usage_docs dune_en_exercise.html
	sh ./png2jpg.sh usage_docs dune_de_tutorial.html

documentation: all

=== docs/export_example_c++/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CXX = g++

all: helloWorld

X3dSceneGraph.h: helloWorld.x3dv helloWorld2.x3dv ../../bin/dune
	../../bin/dune -prefix Pre_ -c++ helloWorld.x3dv > X3dSceneGraph.h
	../../bin/dune -prefix Pre_ +c++ Append_ helloWorld2.x3dv >> X3dSceneGraph.h
	
helloWorld: mainHelloWorld.cc X3dSceneGraph.h
	$(CXX) -g -o helloWorld mainHelloWorld.cc 

../../bin/dune:
	(cd ../.. && make)

clean:
	rm -f X3dSceneGraph.h helloWorld core
	(cd libC++RWD && make clean)

allNodesTest: allNodesTestX3d.x3dv ../../bin/dune
	../../bin/dune -c++ allNodesTestX3d.x3dv > X3dSceneGraph.h
	$(CXX) -g -o helloWorld mainHelloWorld.cc

=== docs/export_example_c/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = gcc

all: helloWorld

X3dSceneGraph.h: helloWorld.x3dv helloWorld2.x3dv ../../bin/dune
	../../bin/dune -prefix Pre_ -c helloWorld.x3dv > X3dSceneGraph.h
	../../bin/dune -prefix Pre_ +c Append_ helloWorld2.x3dv >> X3dSceneGraph.h
	
helloWorld: mainHelloWorld.c X3dSceneGraph.h
	$(CC) -g -o helloWorld mainHelloWorld.c 

../../bin/dune:
	(cd ../.. && make)

clean:
	rm -f X3dSceneGraph.h helloWorld core

allNodesTest: allNodesTestX3d.x3dv ../../bin/dune
	../../bin/dune -c allNodesTestX3d.x3dv > X3dSceneGraph.h
	$(CC) -g -o helloWorld mainHelloWorld.c

=== docs/export_example_java/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

JAVAC = /usr/bin/javac

all: classes/helloWorld.class

X3dSceneGraph.java: helloWorld.x3dv helloWorld2.x3dv ../../bin/dune
	../../bin/dune -prefix Pre_ -java helloWorld.x3dv > X3dSceneGraph.java
	../../bin/dune -prefix Pre_ +java Append_ helloWorld2.x3dv >> X3dSceneGraph.java
	
helloWorld.java: mainHelloWorld.java X3dSceneGraph.java
	cat X3dSceneGraph.java mainHelloWorld.java > helloWorld.java

classes/helloWorld.class: helloWorld.java X3dSceneGraph.java
	$(JAVAC) -d classes -g helloWorld.java 

../../bin/dune:
	(cd ../.. && make)

clean:
	rm -f classes/*.class X3dSceneGraph.java
	(cd jme && make clean)	

allNodesTest: allNodesTestX3d.x3dv ../../bin/dune
	../../bin/dune -java allNodesTestX3d.x3dv > X3dSceneGraph.java
	cat X3dSceneGraph.java mainHelloWorld.java > helloWorld.java
	$(JAVAC) -d classes -g helloWorld.java

=== packager/freebsd/Makefile ===
# ex:ts=8
# Ports collection makefile for:	white_dune
# Date created:			Apr 12, 2002
# Whom:				ijliao
#
# $FreeBSD: ports/graphics/white_dune/Makefile,v 1.1 2002/04/11 19:25:29 ijliao Exp $
#

PORTNAME=	white_dune
PORTVERSION=	0.20b186
CATEGORIES=	graphics
MASTER_SITES=	http://129.69.35.12/dune/
DISTNAME=	${PORTNAME}-${PORTVERSION:S/b/beta/}

MAINTAINER=	ports@FreeBSD.org

LIB_DEPENDS=	png:${PORTSDIR}/graphics/png \
		jpeg:${PORTSDIR}/graphics/jpeg \
                lesstif:${PORTSDIR}/x11-toolkits/lesstif \
                mesa3:${PORTSDIR}/graphics/Mesa3

# libsball not in ports yet...

USE_BISON=	yes
USE_MESA=	yes
USE_MOTIF=	yes
GNU_CONFIGURE=	yes
ALL_TARGET=	# empty

MAN1=	man/dune.1

post-patch:
	echo nothing to do yet

do-install:
	${INSTALL_PROGRAM} ${WRKSRC}/dune ${PREFIX}/bin
	${INSTALL_PROGRAM} ${WRKSRC}/dune4kids ${PREFIX}/bin
	${INSTALL_MAN} ${WRKSRC}/${MAN1} ${MAN1PREFIX}/man/man1
.if !defined(NOPORTDOCS)
	@${MKDIR} ${DOCSDIR}
	${CP} -R ${WRKSRC}/docs/* ${DOCSDIR}
.endif

.include <bsd.port.mk>

=== src/SDLjoystick/Makefile ===
# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

CC = gcc
CXX = g++
SDL_JOYSTICK_SUBDIR = linux
LIBS =   -L/usr/local/lib -g -lusb -lsball -lpng -ljpeg -lz -lexpat -lGLU -lGL -lXi -lXm -lXp -lXext -lXt -lXmu -lX11 -lm -ldl   -L/usr/local/lib  -L/usr/X11R6/LessTif/Motif1.2/lib 
AWK = gawk

CFLAGS =   -I/usr/X11R6/include/ -I/usr/X11R6/LessTif/Motif1.2/include -I/usr/local/include  -DUSE_INPUT_EVENTS -I$$PWD -I$$PWD/.. 
RANLIB = /usr/bin/ranlib

OBJS =  mini_SDL_joystick.o $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.o

libSDLjoystick.a: $(OBJS) 
	if test -f SDL_sysjoystick.o ; then mv SDL_sysjoystick.o $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.o ; fi 
	ar -r $@ $(OBJS)
	$(RANLIB) $@ 

joysticktest: joysticktest.c libSDLjoystick.a
	$(CC) -o $@ $(CFLAGS) joysticktest.c libSDLjoystick.a $(LIBS)

clean:
	rm -f joysticktest libSDLjoystick.a *.o */*.o

realclean: clean
	cp Makefile Makefile.bak
	awk '{ print } /^# DO NOT DELETE THIS LINE/ { print ""; exit }' < Makefile.bak > Makefile

depend: 
	$(CC) -M -I$$PWD $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.c >> Makefile

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== debian/changelog ===
whitedune (0.30.10-2.2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:03:07 +0100

whitedune (0.30.10-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Johannes Brandstätter ]
  * Update watch file to new upstream release page

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

  [ Paul Gevers ]
  * Drop /usr/bin/dune softlink and dune(1) man-page (Closes: #916468)

 -- Paul Gevers <elbrus@debian.org>  Tue, 12 Feb 2019 22:32:01 +0100

whitedune (0.30.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due new binary matching behavior on grep (Closes: #814976)

 -- Raúl Benencia <rul@kalgan.cc>  Mon, 07 Mar 2016 07:56:28 -0800

whitedune (0.30.10-2) unstable; urgency=medium

  * Team upload.

  [ Tobias Frost ]
  * Fix "FTBFS with libpng 1.5", applying the patch from Nobuhiro
    (Closes: #638812)
  * Add d/clean to remove created files

  [ Sebastian Ramacher ]
  * Acknowledge NMUs. (Closes: #676335)
  * debian/control:
    - Run wrap-and-sort.
    - Build debhelper Build-Dep to (>= 9).
    - Update Vcs-*.
    - Bump Standards-Version.
  * debian/compat: Bump to 9.
  * debian/rules:
    - Fix stripping.
    - Pass all flags from dpkg-buildflags.
    - Fix binary-arch target. (Closes: #563266)
    - Some clean up.
  * debian/patches: Give patches a meaningful names.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Jan 2016 21:48:03 +0100

whitedune (0.30.10-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary build dep on automake1.9. (Closes: #724444)

 -- Eric Dorland <eric@debian.org>  Fri, 14 Mar 2014 23:43:11 -0400

whitedune (0.30.10-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714678).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 18:26:47 +0200

whitedune (0.30.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Update Build-Depends:
    - libjpeg62-dev -> libjpeg-dev  (Closes: #647104)
    - libpng12-dev -> libpng-dev    (Closes: #662548)

 -- Bill Allombert <ballombe@debian.org>  Tue, 05 Jun 2012 23:08:32 +0200

whitedune (0.30.10-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Comaintenance set to pkg-multimedia team
    - recommends fonts (Close:#563925)
    - updated standards and fix lintian warning (src)
  * configure.ac: undepends on libxp (Closes: #623652)
  * ignore generated files

 -- Philippe Coval <rzr@gna.org>  Fri, 29 Apr 2011 19:23:37 +0200

whitedune (0.28.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Set urgency to 'medium' for RC bug fixes.
  * debian/control: Add 'xfonts-100dpi' to Recommends.  Fixes segmentation
    fault on startup. (Closes: #550459)
  * src/parser.y: Apply patch from upstream version 0.29beta1391 to fix
    bison 3.4.1 compatibility problem.  Fixes FTBFS. (Closes: #562683)

 -- Tim Retout <tim@retout.co.uk>  Thu, 24 Dec 2009 15:51:59 +0000

whitedune (0.28.14-1) unstable; urgency=low

  * New upstream release
  * prefer x-www-browser over netscape (LP:#399981)
  * debian/control :
    - Update dependencies (Closes: #515402)
    - Update email to non bouncing domain
    - Update upstream URL, description
    - Update standards to current ones
  * debian/changelog :
    - Fix licences versions

 -- Philippe Coval <rzr@gna.org>  Sat, 25 Jul 2009 18:39:55 +0200

whitedune (0.28.13-1) unstable; urgency=low

  * NEW: upstream release (which fix buffer overflow exploit)
  * minor fixes : copyright, manpages, makefile

 -- Philippe Coval <rzr@users.sf.net>  Wed, 02 Jan 2008 10:32:04 +0100

whitedune (0.28.12-1) experimental; urgency=low

  * Intial release (Closes: #400739 )
  * info : package based on previous work done upstream
  (by Thiemo Seufer then J. "MUFTI" Scheurich)

 -- Philippe Coval <rzr@users.sf.net>  Tue, 17 Jul 2007 19:52:00 +0200

=== debian/control ===
Source: whitedune
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Philippe Coval <rzr@gna.org>
Build-Depends:
 autoconf,
 autotools-dev,
 bison,
 debhelper (>= 9),
 flex,
 gawk,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev,
 libjpeg-dev,
 libmotif-dev,
 libpng-dev,
 libxi-dev,
 libxmu-dev,
 x11proto-core-dev
Standards-Version: 3.9.6
Homepage: http://vrml.cip.ica.uni-stuttgart.de/dune/
Vcs-Git: https://salsa.debian.org/multimedia-team/whitedune.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/whitedune

Package: whitedune
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: xfonts-100dpi | xfonts-100dpi-transcoded | xfonts-75dpi | xfonts-75dpi-transcoded
Suggests:
 whitedune-docs,
 x-www-browser
Description: graphical VRML97/X3D viewer, editor, 3D modeller and animation tool
 Whitedune can read VRML97 files, display and let the user change the
 scenegraph and all fields of all nodes.
 .
 The most powerful 3D modelling features of whitedune support the
 VRML97 Amendment1 style NURBS nodes and Superformula based PROTOs.
 This is mainly convenient for building some rounded shapes.
 .
 Whitedune supports some 3D inputdevices like joysticks, gamepads
 or all devices supported via the Xinput protocol and also quadbuffer stereo
 visuals.
 .

Package: whitedune-docs
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: documentation for whitedune
 This package contains useful documentation for the whitedune VRML editor
 .
 VRML97 (Virtual Reality Modelling Language) is the ISO standard for
 displaying 3D data over the web.
 .
 VRML has support for animation, realtime
 interaction and multimedia (image, movie, sound). VRML97 can be written
 by popular programs like maya, catia, 3D Studio MAX, cinema4D, blender,
 wings3d and others, but (unlike whitedune) most of this programs support
 only a small part of the VRML97 features.
 .

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
package=whitedune
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DESTDIR?=$(CURDIR)/debian/${package}/usr

config.status: configure
	dh_testdir
	./configure \
		$(shell env DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs -Wl,--as-needed" dpkg-buildflags --export=cmdline) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--without-usrlocalinclude \
		--without-usrlocallib

configure:
	-${MAKE} bootstrap
	autoconf
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

build: build-arch build-indep
build-arch: build-stamp

build-indep:

build-stamp:  config.status
	dh_testdir
	$(MAKE)
#	cp man/dune.1 debian/
	sed -e 's/dune/${package}/g' < ./man/dune.1 \
	 | sed -e 's/DUNE/WHITEDUNE/g' > debian/${package}.1
	touch $@

generated_files?=\
 configure \
 docs/export_example_c++/Makefile \
 docs/export_example_c/Makefile \
 docs/export_example_java/Makefile \
 src/Makefile \
 src/SDLjoystick/Makefile \
 src/swt/motif/Makefile \
 src/swt/rc/Makefile \
 src/swt/tests/Makefile \
 test/Makefile \
 #}

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean realclean distclean  || echo "# $@"
	rm -f ${generated_files}
	dh_clean

install: build-arch
	dh_testdir -a
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a
	install -d ${DESTDIR}/bin
	install bin/dune ${DESTDIR}/bin/${package}
	install -d ${DESTDIR}/share/pixmaps/
	install -m 644 ./desktop/fvwm2/mini-dune.xpm \
	  ${DESTDIR}/share/pixmaps/${package}.xpm

# find docs -type f > debian/${package}-doc.docs
binary-indep:
	dh_testdir -i
	dh_testroot -i
	dh_install -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installmenu -a
	dh_installmime -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

#eof "$Id: rules -- rzr $"

=== debian/watch ===
version=3
http://wdune.ourproject.org/ \
  ftp://ftp.ourproject.org/pub/wdune/wdune-(\d*\.\d*pl\d*)\.tar\.bz2
